aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCem Keylan <cem@ckyln.com>2020-04-06 22:25:20 +0300
committerCem Keylan <cem@ckyln.com>2020-04-06 22:25:20 +0300
commit48aaf35e254974960a0f7f6fe11c51e4e1e542d9 (patch)
tree99e359f05cf2b33b4b8954db3a1433313fc6ea37
parentc2d2b9da854af58e740e8f8cac8a9e3f8b0c6568 (diff)
downloadrepository-48aaf35e254974960a0f7f6fe11c51e4e1e542d9.tar.gz
libressl: add KISS_ROOT env
-rwxr-xr-xcore/libressl/files/update-certdata.sh6
-rwxr-xr-xcore/libressl/post-install2
2 files changed, 4 insertions, 4 deletions
diff --git a/core/libressl/files/update-certdata.sh b/core/libressl/files/update-certdata.sh
index 0c333e7a..5283c329 100755
--- a/core/libressl/files/update-certdata.sh
+++ b/core/libressl/files/update-certdata.sh
@@ -2,13 +2,13 @@
#
# update-certdata.sh
-[ -w /etc/ssl ] || {
+[ -w "$KISS_ROOT/etc/ssl" ] || {
printf '%s\n' "${0##*/}: root required to update cert." >&2
exit 1
}
-cd /etc/ssl && {
+cd "$KISS_ROOT/etc/ssl" && {
wget https://curl.haxx.se/ca/cacert.pem
mv -f cacert.pem cert.pem
- printf '%s\n' "${0##*/}: updated cert.pm"
+ printf '%s\n' "${0##*/}: updated cert.pem"
}
diff --git a/core/libressl/post-install b/core/libressl/post-install
index c12dca76..8f76be97 100755
--- a/core/libressl/post-install
+++ b/core/libressl/post-install
@@ -1,3 +1,3 @@
#!/bin/sh
-/etc/ssl/update-certdata.sh
+"$KISS_ROOT/etc/ssl/update-certdata.sh"